#heavily based on a mapping written by Mikael Brevik and OEyvind Selmer

charmap = [
    ("&lt;", "<"),
    ("\\u263a", ":)"),
    ("\\uf494", "</3"),
    ("\\uf495", "<3"),
    ("\\uf496", "<3"),
    ("\\uf497", "<3"),
    ("\\uf498", "<3"),
    ("\\uf499", "<3"),
    ("\\uf49a", "<3"),
    ("\\uf49b", "<3"),
    ("\\uf49c", "<3"),
    ("\\uf49d", "<3"),
    ("\\uf49e", "<3"),
    ("\\uf49f", "<3"),
    ("\\uf600", ":D"),
    ("\\uf601", ":D"),
    ("\\uf602", ":D"),
    ("\\uf603", ":)"),
    ("\\uf604", ":D"),
    ("\\uf605", ":D"),
    ("\\uf606", ":D"),
    ("\\uf607", ":)"),
    ("\\uf608", ":=)"),
    ("\\uf609", ";)"),
    ("\\uf60a", ":)"),
    ("\\uf60b", ";p"),
    ("\\uf60c", ":)"),
    ("\\uf60d", ":*"),
    ("\\uf60e", ":)"),
    ("\\uf60f", ";)"),
    ("\\uf610", ":|"),
    ("\\uf611", "-_-"),
    ("\\uf612", ":("),
    ("\\uf613", ":("),
    ("\\uf614", ":("),
    ("\\uf615", ":/"),
    ("\\uf616", ":$"),
    ("\\uf617", ":*"),
    ("\\uf618", ":*"),
    ("\\uf619", ":*"),
    ("\\uf61a", ":*"),
    ("\\uf61b", ":P"),
    ("\\uf61c", ";P"),
    ("\\uf61d", ":P"),
    ("\\uf61e", ":("),
    ("\\uf61f", ":("),
    ("\\uf620", ">:("),
    ("\\uf621", ":@"),
    ("\\uf622", ":'("),
    ("\\uf623", ":("),
    ("\\uf624", ":("),
    ("\\uf625", ":("),
    ("\\uf626", "D:"),
    ("\\uf627", "D:"),
    ("\\uf628", "D:"),
    ("\\uf629", "D:"),
    ("\\uf62a", ":/"),
    ("\\uf62b", ":S"),
    ("\\uf62c", ":|"),
    ("\\uf62d", ":("),
    ("\\uf62e", ":O"),
    ("\\uf62f", ":O"),
    ("\\uf630", ":("),
    ("\\uf631", ">:O"),
    ("\\uf632", ":X"),
    ("\\uf633", ":S"),
    ("\\uf634", "-_-"),
    ("\\uf635", ":X"),
    ("\\uf636", ":X"),
    ("\\uf637", ":X"),
    ("\u263a", ":)"),
    ("\uf494", "</3"),
    ("\uf495", "<3"),
    ("\uf496", "<3"),
    ("\uf497", "<3"),
    ("\uf498", "<3"),
    ("\uf499", "<3"),
    ("\uf49a", "<3"),
    ("\uf49b", "<3"),
    ("\uf49c", "<3"),
    ("\uf49d", "<3"),
    ("\uf49e", "<3"),
    ("\uf49f", "<3"),
    ("\uf600", ":D"),
    ("\uf601", ":D"),
    ("\uf602", ":D"),
    ("\uf603", ":)"),
    ("\uf604", ":D"),
    ("\uf605", ":D"),
    ("\uf606", ":D"),
    ("\uf607", ":)"),
    ("\uf608", ":=)"),
    ("\uf609", ";)"),
    ("\uf60a", ":)"),
    ("\uf60b", ";p"),
    ("\uf60c", ":)"),
    ("\uf60d", ":*"),
    ("\uf60e", ":)"),    
    ("\uf60f", ";)"),
    ("\uf610", ":|"),
    ("\uf611", "-_-"),
    ("\uf612", ":("),
    ("\uf613", ":("),
    ("\uf614", ":("),
    ("\uf615", ":/"),
    ("\uf616", ":$"),
    ("\uf617", ":*"),
    ("\uf618", ":*"),
    ("\uf619", ":*"),
    ("\uf61a", ":*"),
    ("\uf61b", ":P"),
    ("\uf61c", ";P"),
    ("\uf61d", ":P"),
    ("\uf61e", ":("),
    ("\uf61f", ":("),
    ("\uf620", ">:("),
    ("\uf621", ":@"),
    ("\uf622", ":'("),
    ("\uf623", ":("),
    ("\uf624", ":("),
    ("\uf625", ":("),
    ("\uf626", "D:"),
    ("\uf627", "D:"),
    ("\uf628", "D:"),
    ("\uf629", "D:"),
    ("\uf62a", ":/"),
    ("\uf62b", ":S"),
    ("\uf62c", ":|"),
    ("\uf62d", ":("),
    ("\uf62e", ":O"),
    ("\uf62f", ":O"),
    ("\uf630", ":("),
    ("\uf631", ">:O"),
    ("\uf632", ":X"),
    ("\uf633", ":S"),
    ("\uf634", "-_-"),
    ("\uf635", ":X"),
    ("\uf636", ":X"),
    ("\uf637", ":X"),
    ("\U0000263a", ":)"),
    ("\U0001f494", "</3"),
    ("\U0001f495", "<3"),
    ("\U0001f496", "<3"),
    ("\U0001f497", "<3"),
    ("\U0001f498", "<3"),
    ("\U0001f499", "<3"),
    ("\U0001f49a", "<3"),
    ("\U0001f49b", "<3"),
    ("\U0001f49c", "<3"),
    ("\U0001f49d", "<3"),
    ("\U0001f49e", "<3"),
    ("\U0001f49f", "<3"),
    ("\U0001f600", ":D"),
    ("\U0001f601", ":D"),
    ("\U0001f602", ":D"),
    ("\U0001f603", ":)"),
    ("\U0001f604", ":D"),
    ("\U0001f605", ":D"),
    ("\U0001f606", ":D"),
    ("\U0001f607", ":)"),
    ("\U0001f608", ":=)"),
    ("\U0001f609", ";)"),
    ("\U0001f60a", ":)"),
    ("\U0001f60b", ";p"),
    ("\U0001f60c", ":)"),
    ("\U0001f60d", ":*"),
    ("\U0001f60e", ":)"),
    ("\U0001f60f", ";)"),
    ("\U0001f610", ":|"),
    ("\U0001f611", "-_-"),
    ("\U0001f612", ":("),
    ("\U0001f613", ":("),
    ("\U0001f614", ":("),
    ("\U0001f615", ":/"),
    ("\U0001f616", ":$"),
    ("\U0001f617", ":*"),
    ("\U0001f618", ":*"),
    ("\U0001f619", ":*"),
    ("\U0001f61a", ":*"),
    ("\U0001f61b", ":P"),
    ("\U0001f61c", ";P"),
    ("\U0001f61d", ":P"),
    ("\U0001f61e", ":("),
    ("\U0001f61f", ":("),
    ("\U0001f620", ">:("),
    ("\U0001f621", ":@"),
    ("\U0001f622", ":'("),
    ("\U0001f623", ":("),
    ("\U0001f624", ":("),
    ("\U0001f625", ":("),
    ("\U0001f626", "D:"),
    ("\U0001f627", "D:"),
    ("\U0001f628", "D:"),
    ("\U0001f629", "D:"),
    ("\U0001f62a", ":/"),
    ("\U0001f62b", ":S"),
    ("\U0001f62c", ":|"),
    ("\U0001f62d", ":("),
    ("\U0001f62e", ":O"),
    ("\U0001f62f", ":O"),
    ("\U0001f630", ":("),
    ("\U0001f631", ">:O"),
    ("\U0001f632", ":X"),
    ("\U0001f633", ":S"),
    ("\U0001f634", "-_-"),
    ("\U0001f635", ":X"),
    ("\U0001f636", ":X"),
    ("\U0001f637", ":X"),
]

