bigregfnames = ["regular_block1.txt",
                "regular_block2.txt",
                "regular_block3.txt",
                "regular_block4.txt",
                "regular_block5.txt",
                "regular_block6.txt",
                "regular_block7.txt",
                "regular_block8.txt",
                "regular_block9.txt",
                "regular_block10.txt"]

bigsarcfnames = ["sarcasm_block1.txt",
                 "sarcasm_block2.txt",
                 "sarcasm_block3.txt",
                 "sarcasm_block4.txt",
                 "sarcasm_block5.txt",
                 "sarcasm_block6.txt",
                 "sarcasm_block7.txt",
                 "sarcasm_block8.txt",
                 "sarcasm_block9.txt",
                 "sarcasm_block10.txt"]

bigregposfnames = ["regular_pos_block1.txt",
                   "regular_pos_block2.txt",
                   "regular_pos_block3.txt",
                   "regular_pos_block4.txt",
                   "regular_pos_block5.txt",
                   "regular_pos_block6.txt",
                   "regular_pos_block7.txt",
                   "regular_pos_block8.txt",
                   "regular_pos_block9.txt",
                   "regular_pos_block10.txt"]

bigsarcposfnames = ["sarcasm_pos_block1.txt",
                    "sarcasm_pos_block2.txt",
                    "sarcasm_pos_block3.txt",
                    "sarcasm_pos_block4.txt",
                    "sarcasm_pos_block5.txt",
                    "sarcasm_pos_block6.txt",
                    "sarcasm_pos_block7.txt",
                    "sarcasm_pos_block8.txt",
                    "sarcasm_pos_block9.txt",
                    "sarcasm_pos_block10.txt"]

def makeData(ind):

    regtestblock = "regular_block" + str(ind) + ".txt"
    regtestposblock = "regular_pos_block" + str(ind) + ".txt"
    sarctestblock = "sarcasm_block" + str(ind) + ".txt"
    sarctestposblock = "sarcasm_pos_block" + str(ind) + ".txt"
    
    for fname in bigregfnames:
        if fname != regtestblock:
            with open(fname, "r", encoding="utf-8") as a, open("bigregdata.txt", "a", encoding="utf-8") as b:
                for line in a:
                    b.write(line)

    a.close()
    b.close()

    for fname in bigregposfnames:
        if fname != regtestposblock:
            with open(fname, "r", encoding="utf-8") as a, open("bigregposdata.txt", "a", encoding="utf-8") as b:
                for line in a:
                    b.write(line)

    a.close()
    b.close()

    for fname in bigsarcfnames:
        if fname != sarctestblock:
            with open(fname, "r", encoding="utf-8") as a, open("bigsarcdata.txt", "a", encoding="utf-8") as b:
                for line in a:
                    b.write(line)

    a.close()
    b.close()
                    
    for fname in bigsarcposfnames:
        if fname != sarctestposblock:
            with open(fname, "r", encoding="utf-8") as a, open("bigsarcposdata.txt", "a", encoding="utf-8") as b:
                for line in a:
                    b.write(line)

    a.close()
    b.close()

    with open(regtestblock, "r", encoding="utf-8") as a, open("testbigregdata.txt", "a", encoding="utf-8") as b:
        for line in a:
            b.write(line)
    a.close()
    b.close()

    with open(regtestposblock, "r", encoding="utf-8") as a, open("testbigregposdata.txt", "a", encoding="utf-8") as b:
        for line in a:
            b.write(line)
    a.close()
    b.close()

    with open(sarctestblock, "r", encoding="utf-8") as a, open("testbigsarcdata.txt", "a", encoding="utf-8") as b:
        for line in a:
            b.write(line)
    a.close()
    b.close()

    with open(sarctestposblock, "r", encoding="utf-8") as a, open("testbigsarcposdata.txt", "a", encoding="utf-8") as b:
        for line in a:
            b.write(line)
    a.close()
    b.close()

    return

def countSourceData():
    for fname in bigregfnames:
        f = open(fname, "r", encoding="utf-8")
        counter = 0
        for line in f:
            counter += 1
        print(fname + "   " + str(counter))

    for fname in bigregposfnames:
        f = open(fname, "r", encoding="utf-8")
        counter = 0
        for line in f:
            counter += 1
        print(fname + "   " + str(counter))

    for fname in bigsarcfnames:
        f = open(fname, "r", encoding="utf-8")
        counter = 0
        for line in f:
            counter += 1
        print(fname + "   " + str(counter))

    for fname in bigsarcposfnames:
        f = open(fname, "r", encoding="utf-8")
        counter = 0
        for line in f:
            counter += 1
        print(fname + "   " + str(counter))

    return
        
